<h1 mat-dialog-title>
	<span fxFlex=""> Загрузка фотографии </span>
	<button mat-icon-button [mat-dialog-close]="">
		<mat-icon svgIcon="close"></mat-icon>
	</button>
</h1>
<div mat-dialog-content>

	<div class="mat-caption">
		<div>
			Минимальный размер изображения: {{minWidth}} х {{minHeight}} px
		</div>
		<div>
			Рекомендуемый размер изображения: до {{maxWidth}} х {{maxHeight}} px.
		</div>
		<div>
			Рекомендуемый вес изображения: до {{maxImageSize}} МБ.
		</div>
		<div class="mt-8">
			<i> Если изображение имеет больший размер или вес, то оно будет автоматически уменьшено и
				сжато до максимально допустимых размеров и веса.
			</i>
		</div>

	</div>

	<form  [formGroup]="formData">
		<div fxLayout="column" class="my-8">

			<app-file-upload
				fxFlex=""
				formControlName="file"
				fileAccept="image/*"
				>
			</app-file-upload>

			<mat-progress-bar *ngIf="!!isLoad" mode="indeterminate"></mat-progress-bar>


			<div class="py-20" *ngIf="localCompressedURl && !isLoad && fileWasChecked">

				<div class="mat-caption"> Изображение, подготовленное для загрузки </div>

				<img class="compessed-image" [src]="localCompressedURl | safe">
			</div>

		</div>
	</form>

</div>
<div mat-dialog-actions>
	<div>
		<button mat-flat-button
			color="accent"
			(click)="loadImage()"
			[disabled]="this.formData.invalid || isLoad || !fileWasChecked">
			Загрузить
		</button>
	</div>
</div>
